## com.lowagie.text.pdf.codec.postscript
Class PAParserTokenManager

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAParserTokenManager

All Implemented Interfaces:
  PAParserConstants

    public class PAParserTokenManager

extends java.lang.Object
implements PAParserConstants

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`java.io.PrintStream` `debugStream`
`(package private) int` `defaultLexState`
`(package private) java.lang.StringBuffer` `image`
`private JavaCharStream` `input_stream`
`(package private) static long[]` `jjbitVec0`
`(package private) static long[]` `jjbitVec2`
`(package private) static long[]` `jjbitVec3`
`(package private) static long[]` `jjbitVec4`
`(package private) static long[]` `jjbitVec5`
`(package private) static long[]` `jjbitVec6`
`(package private) static long[]` `jjbitVec7`
`(package private) static long[]` `jjbitVec8`
`(package private) int` `jjimageLen`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`static int[]` `jjnewLexState`
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`private int[]` `jjrounds`
`private int[]` `jjstateSet`
`static java.lang.String[]` `jjstrLiteralImages`
`(package private) static long[]` `jjtoMore`
`(package private) static long[]` `jjtoSkip`
`(package private) static long[]` `jjtoToken`
`(package private) int` `lengthOfMatch`
`static java.lang.String[]` `lexStateNames`

Fields inherited from interface com.lowagie.text.pdf.codec.postscript.PAParserConstants
`DECIMAL_LITERAL, DEFAULT, DIGIT, EOF, EXPONENT, FLOATING_POINT_LITERAL, HEX_LITERAL, HEX_STRING_LITERAL, IDENTIFIER, IMMEDIATE_IDENTIFIER, Instring, INTEGER_LITERAL, KEY_IDENTIFIER, LBRACE, LBRACKET, LDICT, LETTER, Nextchar, RBRACE, RBRACKET, RDICT, STRING_LITERAL, tokenImage, WHITESPACE, WITHINSTRING`

Constructor Summary
`PAParserTokenManager(JavaCharStream stream)`
`PAParserTokenManager(JavaCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`private void` `jjAddStates(int start, int end)`
`private static boolean` `jjCanMove_0(int hiByte, int i1, int i2, long l1, long l2)`
`private static boolean` `jjCanMove_1(int hiByte, int i1, int i2, long l1, long l2)`
`private void` `jjCheckNAdd(int state)`
`private void` `jjCheckNAddStates(int start, int end)`
`private void` `jjCheckNAddTwoStates(int state1, int state2)`
`private Token` `jjFillToken()`
`private int` `jjMoveNfa_0(int startState, int curPos)`
`private int` `jjMoveNfa_1(int startState, int curPos)`
`private int` `jjMoveStringLiteralDfa0_0()`
`private int` `jjMoveStringLiteralDfa0_1()`
`private int` `jjMoveStringLiteralDfa1_0(long active0)`
`private int` `jjStartNfa_0(int pos, long active0)`
`private int` `jjStopAtPos(int pos, int kind)`
`private int` `jjStopStringLiteralDfa_0(int pos, long active0)`
`private int` `jjStopStringLiteralDfa_1(int pos, long active0)`
`void` `ReInit(JavaCharStream stream)`
`void` `ReInit(JavaCharStream stream, int lexState)`
`private void` `ReInitRounds()`
`void` `setDebugStream(java.io.PrintStream ds)`
`void` `SwitchTo(int lexState)`
`(package private) void` `TokenLexicalActions(Token matchedToken)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjbitVec2

    static final long[] jjbitVec2

### jjbitVec3

    static final long[] jjbitVec3

### jjbitVec4

    static final long[] jjbitVec4

### jjbitVec5

    static final long[] jjbitVec5

### jjbitVec6

    static final long[] jjbitVec6

### jjbitVec7

    static final long[] jjbitVec7

### jjbitVec8

    static final long[] jjbitVec8

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoMore

    static final long[] jjtoMore

### input_stream

    private JavaCharStream input_stream

### jjrounds

    private final int[] jjrounds

### jjstateSet

    private final int[] jjstateSet

### image

    java.lang.StringBuffer image

### jjimageLen

    int jjimageLen

### lengthOfMatch

    int lengthOfMatch

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### PAParserTokenManager

    public PAParserTokenManager(JavaCharStream stream)

### PAParserTokenManager

    public PAParserTokenManager(JavaCharStream stream,
                                int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### jjStopStringLiteralDfa_0

    private final int jjStopStringLiteralDfa_0(int pos,
                                               long active0)

### jjStartNfa_0

    private final int jjStartNfa_0(int pos,
                                   long active0)

### jjStopAtPos

    private final int jjStopAtPos(int pos,
                                  int kind)

### jjMoveStringLiteralDfa0_0

    private final int jjMoveStringLiteralDfa0_0()

### jjMoveStringLiteralDfa1_0

    private final int jjMoveStringLiteralDfa1_0(long active0)

### jjCheckNAdd

    private final void jjCheckNAdd(int state)

### jjAddStates

    private final void jjAddStates(int start,
                                   int end)

### jjCheckNAddTwoStates

    private final void jjCheckNAddTwoStates(int state1,
                                            int state2)

### jjCheckNAddStates

    private final void jjCheckNAddStates(int start,
                                         int end)

### jjMoveNfa_0

    private final int jjMoveNfa_0(int startState,
                                  int curPos)

### jjStopStringLiteralDfa_1

    private final int jjStopStringLiteralDfa_1(int pos,
                                               long active0)

### jjMoveStringLiteralDfa0_1

    private final int jjMoveStringLiteralDfa0_1()

### jjMoveNfa_1

    private final int jjMoveNfa_1(int startState,
                                  int curPos)

### jjCanMove_0

    private static final boolean jjCanMove_0(int hiByte,
                                             int i1,
                                             int i2,
                                             long l1,
                                             long l2)

### jjCanMove_1

    private static final boolean jjCanMove_1(int hiByte,
                                             int i1,
                                             int i2,
                                             long l1,
                                             long l2)

### ReInit

    public void ReInit(JavaCharStream stream)

### ReInitRounds

    private final void ReInitRounds()

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    private final Token jjFillToken()

### getNextToken

    public final Token getNextToken()

### TokenLexicalActions

    final void TokenLexicalActions(Token matchedToken)